Summary:	MATE Notification Daemon
Name:		mate-notification-daemon
Version:	1.4.0
Release:	2
License:	GPLv2+
Group:		System/Servers
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	mate-common
BuildRequires:	mate-conf
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libmatenotify)
BuildRequires:	pkgconfig(libmatewnck)
BuildRequires:	pkgconfig(mateconf-2.0)
BuildRequires:	pkgconfig(x11)

#Provides:	virtual-notification-daemon
Conflicts:	xfce4-notifyd

Requires:	libmatenotify
Requires(post,preun): mate-conf

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
	--disable-static

%make LIBS='-lgmodule-2.0'

%install
# this has to be an error with their make install
mkdir -p %{buildroot}%{_libdir}/mate-notification-daemon
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_sysconfdir}/mateconf/schemas/mate-notification-daemon.schemas
%{_bindir}/mate-notification-properties
%{_libexecdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_iconsdir}/hicolor/*/apps/*



%changelog
* Fri Aug 10 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.4.0-2
+ Revision: 813892
- bump to push thru the BS
- new version 1.4.0

* Wed Jun 13 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.2.0-2
+ Revision: 805473
- rebuild added requires for libmatenotify

* Fri Jun 01 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.2.0-1
+ Revision: 801839
- imported package mate-notification-daemon

